=== debian/changelog ===
bluraybackup (1.0-1) unstable; urgency=low

  * Initial release (Closes: #1055089)

 -- Matteo Bini <matteobin@tiepi.it>  Thu, 2 Nov 2023 11:06:33 +0100
