=== debian/control ===
Source: bluraybackup
Section: video
Priority: optional
Maintainer: Matteo Bini <matteobin@tiepi.it>
Build-Depends: debhelper-compat (= 13),
               libbluray-dev
Standards-Version: 4.6.2
Vcs-Git: https://git.golem.linux.it/matteobin/bluraybackup.git
Vcs-Browser: https://git.golem.linux.it/matteobin/bluraybackup
Homepage: https://git.golem.linux.it/matteobin/bluraybackup
Rules-Requires-Root: no

Package: bluraybackup
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: libbluray-bdj
Description: Backup BDMV from the command line
 bluraybackup makes a decrypted copy of the whole Blu-ray Disc Movie
 or it extracts a decrypted version of a specific BDMV stream.
 .
 Inspired by dvdbackup, developed in C99 following the suckless
 philosophy.
