=== debian/watch ===
version=4
https://git.golem.linux.it/matteobin/bluraybackup/releases /matteobin/bluraybackup/archive/([1-9]\.[0-9])\.tar\.gz
