=== debian/changelog ===
bluraybackup (2.0-1build1) resolute; urgency=medium

  * Rebuild against latest libbluray

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 19 Oct 2025 13:50:50 -0400

bluraybackup (2.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Bump Standards-Version to 4.7.2.
    - Update Description to reflect change from C99 to ANSI C (C89).
  * debian/upstream/metadata:
    - Remove deprecated Name and Contact fields.
  * debian/watch:
    - Change URL to FTP.

 -- Matteo Bini <matteobin@tiepi.it>  Tue, 08 Apr 2025 18:29:38 +0200
