=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

SHELL := sh -e

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- DESTDIR=${CURDIR}/debian/bluraybackup PREFIX=/usr
