=== debian/watch ===
version=4
opts="pasv" ftp://larry.tiepi.it/bluraybackup/bluraybackup-([1-9]\.[0-9])\.tar\.gz
